{% extends "base.html" %}
{% load formatting %}

{% block page_name %}Sponsorship Request Review{%endblock %}
{% block sub_nav %}{% endblock %}

{% block content %}
<h1>{{ sponsorship.real_name }}</h1>

<p>
{{ sponsorship.user.email }}<br />
<a class="launchpad" href="http://launchpad.net/~{{ sponsorship.user.username }}" target="_new"><img src="/media/img/person.png"/>&nbsp;{{ sponsorship.user.username }}</a>
<p>

<table>
<tr><th>Summit:</th><td><span>{{ sponsorship.summit.title }}<br/>{{ sponsorship.summit.location }}</span></td></tr>
<tr><th>Location:</th><td>{{ sponsorship.location }}</td></tr>
<tr><th>Country:</th><td>{{ sponsorship.country }}</td></tr>
</table>

<p>
{{ sponsorship.about|escape|urlize|paras }}
</p>

<h3>Other</h3>
<ul>
{% if sponsorship.needs_travel %}
<li><b>Needs travel sponsorship</b></li>
{% else %}
<li>Does not need travel sponsorship</li>
{% endif %}
{% if sponsorship.needs_accomodation %}
<li><b>Needs accomodation sponsorship</b></li>
{% else %}
<li>Does not need accomodation sponsorship</li>
{% endif %}
{% if sponsorship.would_crew %}
<li>Would crew</li>
{% endif %}
</ul>

<table>
<tr><th>Special diet/needs:</th><td>{{ sponsorship.diet }}</tr>
</table>

<p>
{{ sponsorship.further_info|escape|urlize|paras }}
</p>

<h2>Score</h2>
{% for score in scores %}
<p style="padding-bottom: 1em; border-bottom: 1px dashed silver">
<em>{{ score.user.get_full_name }}</em>: <strong>{{ score.score|stringformat:"+d" }}</strong><br/>
{{ score.comment }}
</p>
{% endfor %}
<form method="post">
{% csrf_token %}
<table>
<tr>
  <td><select name="score">
      <option{% ifequal score None %} selected{% endifequal %}>--</option>
      <option{% ifequal score.score -3 %} selected{% endifequal %}>-3</option>
      <option{% ifequal score.score -2 %} selected{% endifequal %}>-2</option>
      <option{% ifequal score.score -1 %} selected{% endifequal %}>-1</option>
      <option{% ifequal score.score "0" %} selected{% endifequal %}>0</option>
      <option{% ifequal score.score 1 %} selected{% endifequal %}>+1</option>
      <option{% ifequal score.score 2 %} selected{% endifequal %}>+2</option>
      <option{% ifequal score.score 3 %} selected{% endifequal %}>+3</option>
  </select></td>
  <td><input type="submit" value="Update Score"></td>
</tr>
<tr>
  <td colspan="3"><em>Comment:</em><br/><textarea name="comment" rows="5" cols="50">{{ score.comment }}</textarea></td>
</tr>
</table>
</form>

{% endblock %}
